osl::move_action::ToAroundKing8Filter< P, OrigAction > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::move_action::ToAroundKing8Filter< P, OrigAction > Struct Template Reference

自玉の 8近傍への手 More...

`#include <toAroundKing8Filter.h>`

Inheritance diagram for osl::move_action::ToAroundKing8Filter< P, OrigAction >:
[legend]
Collaboration diagram for osl::move_action::ToAroundKing8Filter< P, OrigAction >:
[legend]

## Public Member Functions
| BOOST_CLASS_REQUIRE (OrigAction, osl::move_action, Concept)
| ToAroundKing8Filter (const NumEffectState &s, OrigAction &action)
bool | isToAroundKing8Move (Square to)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p, Move m)
void | unknownMove (Square from, Square to, Piece p1, Ptype ptype, bool isPromote, Player p, Move m)
void | dropMove (Square to, Ptype ptype, Player p, Move m)
| dropMoveが自殺手になることはない More...
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)
Public Member Functions inherited from osl::move_action::MoveAction
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p, Move move)
| コマをとらないMove More...
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p, Move move)
| コマを取るかもしれない Move More...
void | dropMove (Square to, Ptype ptype, Player p, Move move)
| コマを打つMove More...

## Public Attributes
const NumEffectState & | state
OrigAction & | action
Square | position_king

## Detailed Description

### template<Player P, class OrigAction>
struct osl::move_action::ToAroundKing8Filter< P, OrigAction >

自玉の 8近傍への手

- includes the square where the King is, should rename to 9?
- if the king is on the edge, the area is centered.

Definition at line 23 of file toAroundKing8Filter.h.

## Constructor & Destructor Documentation

template<Player P, class OrigAction >

osl::move_action::ToAroundKing8Filter< P, OrigAction >::ToAroundKing8Filter | ( | const NumEffectState & | s,
|  | OrigAction & | action
| ) |  |
| inline

Definition at line 31 of file toAroundKing8Filter.h.

## Member Function Documentation

template<Player P, class OrigAction >

osl::move_action::ToAroundKing8Filter< P, OrigAction >::BOOST_CLASS_REQUIRE | ( | OrigAction | ,
|  | osl::move_action | ,
|  | Concept |
| ) |  |

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

dropMoveが自殺手になることはない

Definition at line 64 of file toAroundKing8Filter.h.

References osl::move_action::ToAroundKing8Filter< P, OrigAction >::action, and osl::move_action::ToAroundKing8Filter< P, OrigAction >::isToAroundKing8Move().

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |
| inline

Definition at line 82 of file toAroundKing8Filter.h.

References osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

bool osl::move_action::ToAroundKing8Filter< P, OrigAction >::isToAroundKing8Move | ( | Square | to) |  |
| inline

Definition at line 38 of file toAroundKing8Filter.h.

References osl::Board_Table, osl::D, osl::DL, osl::DR, osl::BoardTable::getOffsetForBlack(), osl::L, osl::move_action::ToAroundKing8Filter< P, OrigAction >::position_king, osl::R, osl::U, osl::UL, and osl::UR.

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove(), osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove(), and osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

Definition at line 50 of file toAroundKing8Filter.h.

References osl::move_action::ToAroundKing8Filter< P, OrigAction >::action, and osl::move_action::ToAroundKing8Filter< P, OrigAction >::isToAroundKing8Move().

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 70 of file toAroundKing8Filter.h.

References osl::PTYPE_EMPTY, and osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | p1,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

Definition at line 56 of file toAroundKing8Filter.h.

References osl::move_action::ToAroundKing8Filter< P, OrigAction >::action, and osl::move_action::ToAroundKing8Filter< P, OrigAction >::isToAroundKing8Move().

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

void osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 76 of file toAroundKing8Filter.h.

References osl::Piece::ptype(), and osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove().

## Member Data Documentation

template<Player P, class OrigAction >

OrigAction& osl::move_action::ToAroundKing8Filter< P, OrigAction >::action

Definition at line 27 of file toAroundKing8Filter.h.

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::dropMove(), osl::move_action::ToAroundKing8Filter< P, OrigAction >::simpleMove(), and osl::move_action::ToAroundKing8Filter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

Square osl::move_action::ToAroundKing8Filter< P, OrigAction >::position_king

Definition at line 28 of file toAroundKing8Filter.h.

Referenced by osl::move_action::ToAroundKing8Filter< P, OrigAction >::isToAroundKing8Move().

template<Player P, class OrigAction >

const NumEffectState& osl::move_action::ToAroundKing8Filter< P, OrigAction >::state

Definition at line 26 of file toAroundKing8Filter.h.

The documentation for this struct was generated from the following file:

- toAroundKing8Filter.h